commit:     d6d199ad069573f4f5c4a6af97f7f3d5140e936c
Author:     Steffen Winter <steffen.winter <AT> proton <DOT> me>
AuthorDate: Wed Feb  7 12:37:27 2024 +0000
Commit:     Steffen Winter <stffn.mobil <AT> freenet <DOT> de>
CommitDate: Wed Feb  7 12:48:15 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d6d199ad

dev-cpp/simdutf: new package, add 4.0.9

Signed-off-by: Steffen Winter <steffen.winter <AT> proton.me>

 dev-cpp/simdutf/Manifest             |  1 +
 dev-cpp/simdutf/metadata.xml         | 11 +++++++++++
 dev-cpp/simdutf/simdutf-4.0.9.ebuild | 26 ++++++++++++++++++++++++++
 3 files changed, 38 insertions(+)

diff --git a/dev-cpp/simdutf/Manifest b/dev-cpp/simdutf/Manifest
new file mode 100644
index 0000000000..507118cadf
--- /dev/null
+++ b/dev-cpp/simdutf/Manifest
@@ -0,0 +1 @@
+DIST simdutf-4.0.9.tar.gz 1868141 BLAKE2B 
4c326a3c79c38058761e7c8fa39bad2c540a231c52b98cbba9f8e8aa1c691cba86d6d826c8196627ec504088b525c6dce65ae3643b3c4679e170568bc3cfc358
 SHA512 
39ffc41d8d6889603b72bbcdcb5bce6b0a98cd41299568cf9bd34f5cbc0d5950f96907eae21c0975b10d701c49d80bb839911672909c802e7f6d3b616fe6279c

diff --git a/dev-cpp/simdutf/metadata.xml b/dev-cpp/simdutf/metadata.xml
new file mode 100644
index 0000000000..660df2035d
--- /dev/null
+++ b/dev-cpp/simdutf/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>[email protected]</email>
+    <name>Steffen Winter</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">simdutf/simdutf</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/dev-cpp/simdutf/simdutf-4.0.9.ebuild 
b/dev-cpp/simdutf/simdutf-4.0.9.ebuild
new file mode 100644
index 0000000000..3875eae9bb
--- /dev/null
+++ b/dev-cpp/simdutf/simdutf-4.0.9.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit cmake python-any-r1
+
+DESCRIPTION="simdutf: Unicode validation and transcoding at billions of 
characters per second"
+HOMEPAGE="https://simdutf.github.io/simdutf/";
+SRC_URI="https://github.com/simdutf/simdutf/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+BDEPEND="${PYTHON_DEPS}"
+
+RESTRICT="!test? ( test )"
+
+src_configure() {
+       local mycmakeargs=( -DSIMDUTF_TESTS=$(usex test ON OFF) )
+       cmake_src_configure
+}

Reply via email to